/**
 * GRID_001 部件模型
 *
 * @export
 * @class GRID_001Model
 */
export default class GRID_001Model {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof GRID_001GridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof GRID_001GridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'hromhierarchycatid',
          prop: 'hromhierarchycatid',
          dataType: 'PICKUP',
        },
        {
          name: 'pomhierarchyid',
          prop: 'pomhierarchyid',
          dataType: 'PICKUP',
          isEditable:true
        },
        {
          name: 'organizationname',
          prop: 'organizationname',
          dataType: 'PICKUPTEXT',
          isEditable:true
        },
        {
          name: 'organizationid',
          prop: 'organizationid',
          dataType: 'PICKUP',
          isEditable:true
        },
        {
          name: 'pomhierarchyname',
          prop: 'pomhierarchyname',
          dataType: 'PICKUPTEXT',
          isEditable:true
        },
        {
          name: 'showorder',
          prop: 'showorder',
          dataType: 'BIGINT',
          isEditable:true
        },
        {
          name: 'shortname',
          prop: 'shortname',
          dataType: 'PICKUPDATA',
        },
        {
          name: 'srfmajortext',
          prop: 'organizationname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'omhierarchyid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'omhierarchyid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'hromhierarchy',
          prop: 'omhierarchyid',
        },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'filter',
          prop:'filter'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}